org.eclipse.net4j.util.om.log

## Class EclipseLoggingBridge

- java.lang.Object
- - org.eclipse.net4j.util.om.log.EclipseLoggingBridge

- All Implemented Interfaces:
    OMLogHandler

      public class EclipseLoggingBridge
      extends java.lang.Object
      implements OMLogHandler

  A `log handler` that appends log events to the Eclipse `error log`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EclipseLoggingBridge` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EclipseLoggingBridge()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `logged(OMLogger logger, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)`
    `static int` | `toEclipse(OMLogger.Level level)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final EclipseLoggingBridge INSTANCE

      Singleton

  - ### Constructor Detail

    - #### EclipseLoggingBridge

          protected EclipseLoggingBridge()

  - ### Method Detail

    - #### logged

          public void logged(OMLogger logger,
                             OMLogger.Level level,
                             java.lang.String msg,
                             java.lang.Throwable t)

      Specified by:
        `logged` in interface `OMLogHandler`

    - #### toEclipse

          public static int toEclipse(OMLogger.Level level)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html